:man_page: mongoc_apm_server_opening_t

mongoc_apm_server_opening_t
===========================

Server-opening event

Synopsis
--------

An event notification sent when the driver adds a :symbol:`mongoc_server_description_t` for a new server it was not monitoring before.

.. seealso::

  | :doc:`Introduction to Application Performance Monitoring <application-performance-monitoring>`

.. only:: html

  Functions
  ---------

  .. toctree::
    :titlesonly:
    :maxdepth: 1

    mongoc_apm_server_opening_get_context
    mongoc_apm_server_opening_get_host
    mongoc_apm_server_opening_get_topology_id

